/*jshint esversion: 6 */
(function (jQuery) {
  let cambiorealPix = {
    qrRawCodeTarget: "#cambioreal-qr-code-button",
    start: function () {
      this.addEventListener();
    },
    addEventListener: function () {
      jQuery(this.qrRawCodeTarget).on("click", function (e) {
        cambiorealPix.copyRawCode();
      });
    },
    copyRawCode: function () {
      let elem = jQuery(this.qrRawCodeTarget);

      if (!elem.length) {
        return;
      }
      const rawCode = elem.data("raw-code");

      if (window.isSecureContext && navigator.clipboard) {
        navigator.clipboard.writeText(rawCode);
        return;
      }

      const input = jQuery("<input>")
        .attr({
          value: rawCode,
        })
        .appendTo(elem.parent());

      const [inputDOMElement] = input;
      inputDOMElement.select();
      inputDOMElement.setSelectionRange(0, input.val().length);

      document.execCommand("copy", false);
      input.remove();
    },
  };

  window.addEventListener("load", function () {
    cambiorealPix.start();
  });
})(jQuery);
